<!-- Navigation -->
<nav class="navbar navbar-expand-lg navbar-light fixed-top {{ not header ? 'navbar-shrink' }}" id="mainNav">
    <div class="container">

        <!-- Brand and toggle get grouped for better mobile display -->
        <a class="navbar-brand js-scroll-trigger" href="{{ url('/') }}">
            {{ image('theme::img/icon.svg').height("27")|raw }}
            {{ setting_value('streams::name', config_get('streams::distribution.name')) }}
        </a>
        <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse"
                data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
            Menu <i class="fa fa-bars"></i>
        </button>

        <div class="collapse navbar-collapse" id="navbarResponsive">
            {% if (setting_value('newebtime.theme.creative::navigation_menu')) %}
                {{ menu(setting_value('newebtime.theme.creative::navigation_menu'))
                .linkAttributesDropdown({'data-toggle': 'dropdown'})
                .listClass('navbar-nav text-uppercase ml-auto')
                .itemClass('nav-item')
                .linkClass('nav-link js-scroll-trigger')
                .childListClass('dropdown-menu')
                .cache({'namespace': 'user'})
                .render()|raw }}
            {% else %}
                {{ structure()
                .linkAttributesDropdown({'data-toggle': 'dropdown'})
                .listClass('navbar-nav text-uppercase ml-auto')
                .itemClass('nav-item')
                .linkClass('nav-link js-scroll-trigger')
                .childListClass('dropdown-menu')
                .cache({'namespace': 'user'})
                .render()|raw }}
            {% endif %}

            <ul class="navbar-nav text-uppercase">
                <li class="nav-item">
                    <a class="nav-link js-scroll-trigger" href="{{ url_route('anomaly.module.posts::posts.index') }}">Posts</a>
                </li>
                <li class="nav-item">
                    {% if auth_check() %}
                        <a class="nav-link js-scroll-trigger" href="{{ url_route('anomaly.module.users::logout') }}">Logout</a>
                    {% else %}
                        <a class="nav-link js-scroll-trigger" href="{{ url_route('anomaly.module.users::login') }}">Login</a>
                    {% endif %}
                </li>
            </ul>
        </div>
        <!-- /.navbar-collapse -->

    </div>
    <!-- /.container -->
</nav>
